Loading...
Searching...
No Matches
Plugins: Simple Types Callbacks
Plugins: Types
Collaboration diagram for Plugins: Simple Types Callbacks:

## Functions

LIBYANG_API_DECL LY_ERR | lyplg_type_compare_simple (const struct ly_ctx *ctx, const struct lyd_value *val1, const struct lyd_value *val2)
| Implementation of lyplg_type_compare_clb for a generic simple type.
LIBYANG_API_DECL LY_ERR | lyplg_type_dup_simple (const struct ly_ctx *ctx, const struct lyd_value *original, struct lyd_value *dup)
| Implementation of lyplg_type_dup_clb for a generic simple type.
LIBYANG_API_DECL void | lyplg_type_free_simple (const struct ly_ctx *ctx, struct lyd_value *value)
| Implementation of lyplg_type_free_clb for a generic simple type.
LIBYANG_API_DECL const void * | lyplg_type_print_simple (const struct ly_ctx *ctx, const struct lyd_value *value, LY_VALUE_FORMAT format, void *prefix_data, ly_bool *dynamic, size_t *value_len)
| Implementation of lyplg_type_print_clb for a generic simple type.
LIBYANG_API_DEF int | lyplg_type_sort_simple (const struct ly_ctx *ctx, const struct lyd_value *val1, const struct lyd_value *val2)
| Implementation of lyplg_type_sort_clb for a generic simple type.

## Detailed Description

Simple functions implementing Type Plugins callbacks handling types that allocate no dynamic value and always generate their canonical value (lyd_value._canonical).

## Function Documentation

## lyplg_type_compare_simple()

LIBYANG_API_DECL LY_ERR lyplg_type_compare_simple | ( | const struct ly_ctx * | ctx,
|  | const struct lyd_value * | val1,
|  | const struct lyd_value * | val2 )

Implementation of lyplg_type_compare_clb for a generic simple type.

## lyplg_type_dup_simple()

LIBYANG_API_DECL LY_ERR lyplg_type_dup_simple | ( | const struct ly_ctx * | ctx,
|  | const struct lyd_value * | original,
|  | struct lyd_value * | dup )

Implementation of lyplg_type_dup_clb for a generic simple type.

## lyplg_type_free_simple()

LIBYANG_API_DECL void lyplg_type_free_simple | ( | const struct ly_ctx * | ctx,
|  | struct lyd_value * | value )

Implementation of lyplg_type_free_clb for a generic simple type.

## lyplg_type_print_simple()

LIBYANG_API_DECL const void * lyplg_type_print_simple | ( | const struct ly_ctx * | ctx,
|  | const struct lyd_value * | value,
|  | LY_VALUE_FORMAT | format,
|  | void * | prefix_data,
|  | ly_bool * | dynamic,
|  | size_t * | value_len )

Implementation of lyplg_type_print_clb for a generic simple type.

## lyplg_type_sort_simple()

LIBYANG_API_DEF int lyplg_type_sort_simple | ( | const struct ly_ctx * | ctx,
|  | const struct lyd_value * | val1,
|  | const struct lyd_value * | val2 )

Implementation of lyplg_type_sort_clb for a generic simple type.